MCPerformanceEngine< RNG, S > Class Template Reference

Pricing engine for performance options using Monte Carlo simulation. More...

`#include <ql/pricingengines/cliquet/mcperformanceengine.hpp>`

Inheritance diagram for MCPerformanceEngine< RNG, S >:
[legend]

## Public Types

typedef McSimulation< SingleVariate, RNG, S >::path_generator_type | path_generator_type
typedef McSimulation< SingleVariate, RNG, S >::path_pricer_type | path_pricer_type
typedef McSimulation< SingleVariate, RNG, S >::stats_type | stats_type
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Public Types inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::path_generator_type | path_generator_type
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::path_pricer_type | path_pricer_type
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::stats_type | stats_type
typedef MonteCarloModel< SingleVariate, PseudoRandom, Statistics >::result_type | result_type

## Public Member Functions

| MCPerformanceEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const
Public Member Functions inherited from GenericEngine< CliquetOption::arguments, CliquetOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
result_type | value (Real tolerance, Size maxSamples=QL_MAX_INTEGER, Size minSamples=1023) const
| add samples until the required absolute tolerance is reached
result_type | valueWithSamples (Size samples) const
| simulate a fixed number of samples
result_type | errorEstimate () const
| error estimated using the samples simulated so far
const stats_type & | sampleAccumulator () const
| access to the sample accumulator for richer statistics
void | calculate (Real requiredTolerance, Size requiredSamples, Size maxSamples) const
| basic calculate method provided to inherited pricing engines

## Protected Member Functions

TimeGrid | timeGrid () const
ext::shared_ptr< path_generator_type > | pathGenerator () const
ext::shared_ptr< path_pricer_type > | pathPricer () const
Protected Member Functions inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
| McSimulation (bool antitheticVariate, bool controlVariate)
virtual ext::shared_ptr< path_pricer_type > | pathPricer () const=0
virtual ext::shared_ptr< path_generator_type > | pathGenerator () const=0
virtual TimeGrid | timeGrid () const=0
virtual ext::shared_ptr< path_pricer_type > | controlPathPricer () const
virtual ext::shared_ptr< path_generator_type > | controlPathGenerator () const
virtual ext::shared_ptr< PricingEngine > | controlPricingEngine () const
virtual result_type | controlVariateValue () const

## Protected Attributes

ext::shared_ptr< GeneralizedBlackScholesProcess > | process_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | brownianBridge_
BigNatural | seed_
Protected Attributes inherited from GenericEngine< CliquetOption::arguments, CliquetOption::results >
CliquetOption::arguments | arguments_
CliquetOption::results | results_
Protected Attributes inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
ext::shared_ptr< MonteCarloModel< SingleVariate, PseudoRandom, Statistics > > | mcModel_
bool | antitheticVariate_
bool | controlVariate_

## Additional Inherited Members

Static Protected Member Functions inherited from McSimulation< SingleVariate, PseudoRandom, Statistics >
static Real | maxError (const Sequence &sequence)
static Real | maxError (Real error)

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCPerformanceEngine< RNG, S >

Pricing engine for performance options using Monte Carlo simulation.